[Scipy-tickets] [SciPy] #516: import error for sparse module SciPy 0.6.0 with Windows binaries

SciPy scipy-tickets@scipy....
Sat Nov 10 13:58:19 CST 2007


#516: import error for sparse module SciPy 0.6.0  with Windows binaries
--------------------------+-------------------------------------------------
 Reporter:  jblunt        |        Owner:  somebody
     Type:  defect        |       Status:  new     
 Priority:  normal        |    Milestone:  0.7     
Component:  scipy.sparse  |      Version:  devel   
 Severity:  normal        |   Resolution:          
 Keywords:                |  
--------------------------+-------------------------------------------------
Comment (by wnbell):

 Thanks for the report catchmeifyoutry.  Here are the contents of my sparse
 directory in a working installation:

 {{{
 11/02/2007  10:10 PM    <DIR>          .
 11/02/2007  10:10 PM    <DIR>          ..
 11/02/2007  10:10 PM             2,959 info.py
 11/02/2007  10:10 PM             3,041 info.pyc
 11/02/2007  10:10 PM             3,041 info.pyo
 11/02/2007  10:10 PM             1,359 setup.py
 11/02/2007  10:10 PM             1,002 setup.pyc
 11/02/2007  10:10 PM             1,002 setup.pyo
 11/02/2007  10:10 PM           103,644 sparse.py
 11/02/2007  10:10 PM            92,056 sparse.pyc
 11/02/2007  10:10 PM            91,608 sparse.pyo
 11/02/2007  10:10 PM            27,968 sparsetools.py
 11/02/2007  10:10 PM            31,498 sparsetools.pyc
 11/02/2007  10:10 PM            31,498 sparsetools.pyo
 11/02/2007  10:07 PM    <DIR>          tests
 11/02/2007  10:10 PM         1,042,391 _sparsetools.pyd
 11/02/2007  10:10 PM               207 __init__.py
 11/02/2007  10:10 PM               577 __init__.pyc
 11/02/2007  10:10 PM               577 __init__.pyo
               16 File(s)      1,434,428 bytes
                3 Dir(s)  214,625,292,288 bytes free
 }}}

 Note that it's not necessary to have sparsetools directory, you should
 have a sparsetools.py and a sparsetools.pyd.  Your installation has a
 sparsetools.pyd, which might be the source of our problems.

 Please try the following:

  * Delete sparsetools.pyd and uncomment lines 21-28 of sparse.py.  See if
 that works.
  * Delete your site-packages/scipy directory and reinstall SciPy using the
 more recent windows installer.  Let me know what the contents of
 scipy/sparse are.

 Thanks!

-- 
Ticket URL: <http://scipy.org/scipy/scipy/ticket/516#comment:3>
SciPy <http://www.scipy.org/>
SciPy is open-source software for mathematics, science, and engineering.


More information about the Scipy-tickets mailing list